<template>
    <ul class="sidenav app-sidenav" :class="{open: modelValue}" >
        
        <li v-for="link in links" :key="link.url">
            <router-link
                    active-class="grey lighten-3"
                    :exact="link.exact"
                    class="waves-effect waves-orange pointer"
                    :to="link.url"
                >
                    {{link.title}}
                </router-link>
        </li>
        
    </ul>
</template>

<script>
export default {
    props:['modelValue'],
    // created(){
    //     console.log(this.value)
    // },
    // props:{
    //     value:int,
    // },
    data: () => ({
        links: [
        { title: "Счет", url: "/home", exact: true },
        { title: "История", url: "/history" },
        { title: "Планирование", url: "/planning" },
        { title: "Новая запись", url: "/record" },
        { title: "Категории", url: "/categories" }
        ]
  }),
  methods:{

  }
};
</script>